%define	name	scponly
%define	version	4.0
%define	rel	2
%define	release	%mkrel %{rel}

Summary:	Connection shell to allow only scp/sftp/rsync
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	BSD
Group:		Networking/Remote access
URL:		http://sublimation.org/scponly/
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
PreReq:		rpm-helper >= 0.7
BuildRequires:	openssh-server rsync

%description
"scponly" is an alternative 'shell' (of sorts) for system
administrators who would like to provide access to remote users to
both read and write local files without providing any remote execution
priviledges. Functionally, it is best described as a wrapper to the
"tried and true" ssh suite of applications.

%prep
%setup -q

%build
%configure	--enable-rsync-compat \
		--enable-chrooted-binary \
		scponly_PROG_SFTP_SERVER=%{_libdir}/ssh/sftp-server
%make

%install
rm -rf %buildroot
perl -p -i -e 's/-o 0 -g 0//' Makefile*
%makeinstall CONFDIR=$RPM_BUILD_ROOT%{_sysconfdir}/%{name}

%post
/usr/share/rpm-helper/add-shell %{name} $1 %{_bindir}/%{name}
/usr/share/rpm-helper/add-shell %{name} $1 %{_sbindir}/%{name}c

%postun
/usr/share/rpm-helper/del-shell %{name} $1 %{_bindir}/%{name}
/usr/share/rpm-helper/del-shell %{name} $1 %{_sbindir}/%{name}c

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/debuglevel
%{_bindir}/*
%{_sbindir}/*
%{_mandir}/man8/*

%changelog
* Thu May 05 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 4.0-2mdk
- lib64 fix
- %%mkrel

* Thu Jan 13 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 4.0-1mdk
- 4.0

* Mon Jul 26 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 3.11-1mdk
- 3.11
- cosmetics

* Sat May 08 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 3.9-1mdk
- 3.9

* Thu Oct 02 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 3.8-1mdk
- 3.8

* Sat Apr 26 2003 Tibor Pittich <Tibor.Pittich@phuture.sk> 3.7-2mdk
- add missing directory into files section (mr. distlint)

* Thu Mar 20 2003 Tibor Pittich <Tibor.Pittich@phuture.sk> 3.7-1mdk
- new version 3.7
- make scponly as winscp compatible
- enable chrooted binary too
- macroszification

* Sun Dec 22 2002 Frederic Lepied <flepied@mandrakesoft.com> 3.5-1mdk
- First Mandrake Linux package
